### Enumeration

# GLib BookmarkFileError

#### Declaration

    error-domain GLib.BookmarkFileError

#### Description [src]

Error codes returned by bookmark file parsing.

#### Members

Name | Description
--- | ---
`G_BOOKMARK_FILE_ERROR_INVALID_URI` | URI was ill-formed.
`G_BOOKMARK_FILE_ERROR_INVALID_VALUE` | A requested field was not found.
`G_BOOKMARK_FILE_ERROR_APP_NOT_REGISTERED` | A requested application did not register a bookmark.
`G_BOOKMARK_FILE_ERROR_URI_NOT_FOUND` | A requested URI was not found.
`G_BOOKMARK_FILE_ERROR_READ` | Document was ill formed.
`G_BOOKMARK_FILE_ERROR_UNKNOWN_ENCODING` | The text being parsed was in an unknown encoding.
`G_BOOKMARK_FILE_ERROR_WRITE` | An error occurred while writing.
`G_BOOKMARK_FILE_ERROR_FILE_NOT_FOUND` | Requested file was not found.